# Tomcat
server:
  port: 9301

# Spring
spring:
  application:
    # 应用名称
    name: mall-product
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        namespace: 12345678
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        namespace: 12345678
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
  rabbitmq:
    host: 127.0.0.1
api-docs:
  path: v3/api-docs # 指定生成文档的路径，网关会访问这个路径来拉取文档
  group-configs:
    - group: 'default'
      paths-to-match: '/**'
      packages-to-scan: com.keyl1me.edu.controller # 指定要扫描的包

knife4j:
  enable: true  # 开启knife4j接口文档美化
  setting:
    language: zh_cn # 指定语言
